Page MenuHomePhabricator

[Bug] When editing quantities, do not put the unit label in the input field
Closed, ResolvedPublic

Description

When generating a plain text representation of a quantity value for editing, that representation should not contain the unit label (for now), since we cannot parse that (yet). QuantityFormatter::OPT_APPLY_UNIT can be used to control this.

This is related to T95425 (conceptually different, but it related to the same code and mechanisms).

Event Timeline

daniel created this task.Jun 8 2015, 7:02 PM
daniel raised the priority of this task from to Needs Triage.
daniel updated the task description. (Show Details)
daniel added a subscriber: daniel.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 8 2015, 7:02 PM
Lydia_Pintscher triaged this task as Normal priority.Jun 12 2015, 1:21 PM
Lydia_Pintscher set Security to None.
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.

@Jonas: Not sure how this relates to what you've done already. Please have a look.

Jonas renamed this task from When editing quantities, do not put the unit label in the input field to [Bug] When editing quantities, do not put the unit label in the input field.Aug 14 2015, 7:44 AM
Jc3s5h added a subscriber: Jc3s5h.Aug 14 2015, 2:58 PM

Change 222597 had a related patch set uploaded (by Addshore):
Use QuantityInput expert

https://gerrit.wikimedia.org/r/222597

Jonas closed this task as Resolved.Aug 25 2015, 9:04 AM

Change 222597 merged by jenkins-bot:
Use QuantityInput expert

https://gerrit.wikimedia.org/r/222597